Last modified: 2012-04-19 21:43:45 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 22260 - General: IE7/IE8 : Java script error blocks the functions
General: IE7/IE8 : Java script error blocks the functions
Status: CLOSED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
All All
: High critical (vote)
: ---
Assigned To: Trevor Parscal
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2010-01-25 12:13 UTC by Calcey QA
Modified: 2012-04-19 21:43 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Wiki_r61474_2010-01-25_IE7.pdf (269.41 KB, application/pdf)
2010-01-25 12:13 UTC, Calcey QA
Details
Wiki_r61537_2010-01-27_JS.pdf (151.84 KB, application/pdf)
2010-01-27 06:28 UTC, Calcey QA
Details

Description Calcey QA 2010-01-25 12:13:10 UTC
Created attachment 7012 [details]
Wiki_r61474_2010-01-25_IE7.pdf

Reporting against Babaco Release :r61474 

Steps to Reproduce ::

1) Edit the page
2) Clicked on any component below.
-	Link
-	Embedded file 
-	Reference 
-	Add header item
-	Bullet list
-	Numbered list
-	Indentation
-	Insert picture gallery
-	New line
-	Insert special characters
<< All result a Java Script error and the required function is not happen. >>

3) Also , if user move curser to  a space and click on bold, italic. It gives a java script error in the browser.

Expected Outcome::

All functions should be working as expected

Test Environment::

Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR 3.5.30729; .NET CLR 3.0.30618) 

Browser (User-Agent):  Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.2; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022)
Comment 1 Roan Kattouw 2010-01-25 12:29:09 UTC
I found this bug yesterday and fixed it in r61477, but didn't deploy the fix. Done now.
Comment 2 Calcey QA 2010-01-27 06:28:57 UTC
Created attachment 7026 [details]
Wiki_r61537_2010-01-27_JS.pdf
Comment 3 Calcey QA 2010-01-27 06:32:01 UTC
(In reply to comment #2)
> Created an attachment (id=7026) [details]
> Wiki_r61537_2010-01-27_JS.pdf

Please refer to the attachment. Still there are sections which gives the Java Script error.

Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.5.21022; .NET CLR 3.5.30729; .NET CLR 3.0.30618)

Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.2; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022)
Comment 4 Roan Kattouw 2010-01-27 14:49:26 UTC
Fixed in r61576.
Comment 5 Calcey QA 2010-01-28 08:09:51 UTC
Verified and closed

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links